<?php
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../index.php';
		</script>
		<?php 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=67;

include("../../conex.php");
include("../../autoriza.php");

require_once "../include/configuracion.php";
require_once "../include/bd.php";
require_once "../include/funciones.php";
require_once "../modelos/secciones.php";

// Instancia de Clase Clientes
$Seccion = new Seccion();

// Acciones por url
$acurl = (isset($_REQUEST['opcion'])) ? trim($_REQUEST['opcion']) : die("Peticion Incorrecta...");
// Botones formularios
$cmd = (isset($_POST['cmd'])) ? trim($_POST['cmd']) : null;

switch($acurl):

    case "agregar":
        //permisos de autoriza.php
        if ($grabar == 1):
        
            // Validar y Guardar Datos
            if ($cmd == "Guardar"):
            
            // Llamado a Constructores y Paso de Datos
                    $Seccion = new Seccion($_POST['txtTitulo']);
                    
                    $Seccion->Agregar();
                    
                    redirect("?opcion=listar");
            
            endif;
            // Mostrar Vista
            require_once("../vistas/secciones/agregar.php");
	
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
	
	break;

    case "editar":
        //permisos de autoriza.php
        if($editar == 1):
        
            // Validar y Actualizar Datos
            if ($cmd == "Actualizar"):
                    
                    $Seccion = new Seccion($_POST['txtTitulo']);
                    
                    $Seccion->Editar($_POST['txtId']);
                    
                    redirect("?opcion=listar");
                    
            endif;
            // Mostrar Vista
            $seccion = $Seccion->Buscar($_REQUEST['id'], "xid");
            //print_r($seccion);
            require_once("../vistas/secciones/editar.php");
	
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
        
	break;

    case "listar":
	// Validar y Listar Datos			
 	$inicio = 0;
   	$limit = LIMITREG; // Nro de Filas Mostradas
        
        if (isset($_REQUEST['next'])): // Procesar Siguiente Pagina
            $inicio = $_REQUEST['next'];
        endif;
	
   	$seccion = $Seccion->Listar("id",$inicio,$limit);
	$totalRegistros = $Seccion->bd->TotalReg(TABLA_SECCIONES);
	$titulo = "Listado de Secciones";
	
	// Mostrar Vista
	require_once("../vistas/secciones/listar.php");
	
	break;

    case "buscar":
	// Validar y Buscar Datos
	if ($cmd == "Buscar"):
	    
	    $Seccion->Buscar($_POST['txtQ'],$_POST['txtTipo']);
            
	endif;
	// Mostrar Vista
	require_once("../vistas/secciones/buscar.php");
	
	break;

    case "borrar":
	//permisos de autoriza.php
        if($eliminar == 1):
	
            if (isset($_REQUEST['id'])):
                
                $Seccion->Borrar($_REQUEST['id']);
                redirect("?opcion=listar");
                
            endif;
	
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
	
	break;
    
    default:
    
	echo ("No se ha definido la opcion ".$acurl." ...");
        
endswitch;

?>